#!/bin/sh

fluid -c ezremaster.fl
g++ -Os -fno-exceptions -fno-rtti -fpic -lfltk -o ezremaster ezremaster.cxx
strip ezremaster

chmod 755 ezremaster remaster.sh
mkdir -p /tmp/ezremaster/usr/local/bin
mkdir -p /tmp/ezremaster/usr/local/share/applications
mkdir -p /tmp/ezremaster/usr/local/share/pixmaps
cp ezremaster.png /tmp/ezremaster/usr/local/share/pixmaps
cp ezremaster.desktop /tmp/ezremaster/usr/local/share/applications
cp ezremaster /tmp/ezremaster/usr/local/bin
cp remaster.sh /tmp/ezremaster/usr/local/bin

cd /tmp
mksquashfs ezremaster ezremaster.tcz
cd /tmp/ezremaster
find usr -not -type d > /tmp/ezremaster.tcz.list
cd /tmp
md5sum ezremaster.tcz > /tmp/ezremaster.tcz.md5.txt

